Skip to content

Create sender for project
GA

Request

Creates a sender for a project.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

Bodyapplication/jsonrequired

Sender data

plusFriendIdstring, [ 1 .. 30 ] charactersrequired

PlusFriend ID

detailsobject(KakaotalkInputSenderDetailsDto)required

Sender details and information. Not required for draft.

statusstring(KakaotalkActions)

Create as draft or submit. Defaults to submit.

Default:"SUBMIT"
Enum:"DRAFT""SUBMIT"
saveDraftOnFailureboolean

Flag to save template as draft if submission fails. Defaults to false.

Default:false

Example of full body to create a sender.

curl -i -X POST \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/kakaotalk/senders' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "plusFriendId": "plusFriendId",
    "status": "SUBMIT",
    "saveDraftOnFailure": true,
    "details": {
      "adminPhoneNo": "+48777777777",
      "name": "Test Name",
      "logoImage": "https://example-logo-image.com",
      "topLevelCategoryCode": "019",
      "midLevelCategoryCode": "0006",
      "subLevelCategoryCode": "0001"
    }
  }'

Responses

Sender

Bodyapplication/json
plusFriendIdstringrequired

PlusFriend ID

idstring

The unique ID of the sender.

statestring(KakaotalkSenderStates)

The current state of the sender.

Enum:"ACTIVE""BLOCKED""INACTIVE""SUSPENDED""VERIFYING"
changesobject(KakaotalkSenderChangesDto)

Any pending changes to the sender.

detailsobject(KakaotalkSenderDetailsDto)

Sender details and information.

createdstring

The UTC Date Time in ISO 8601 for when the sender was created.

modifiedstring

The UTC Date Time in ISO 8601 for when the sender was last modified.

Response

Response when successfully creating a sender.

{ "id": "cf11794a-6a5e-4a12-b103-da79bd378bf1", "plusFriendId": "5WY5zKfY3pB56EmDVUPQ", "changes": { "status": "REJECTED", "details": { … } }, "created": "2023-02-23T11:28:51.194Z", "modified": "2023-02-23T11:28:51.194Z" }

Callbacks

Sender state active
post
Sender inactive
post
Sender rejected
post
Comment on sender
post
We'd love to hear from you!
Rate this content: